//wvwq3dm6 full shader file

textures/wvwq3dm6/shinyrock03b
{   
	qer_editorimage textures/wvwq3dm6/shinyrock3b.tga
	q3map_lightimage textures/wvwq3dm6/shinyrock3b.tga
	q3map_surfacelight 1000
	{
      	map textures/wvwq3dm6/envmap2.tga       
      	tcGen environment
      	rgbGen identity
	}
   
     	{
 		map textures/wvwq3dm6/shinyrock3b.tga
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 		rgbGen identity
	} 

     	{
		map $whiteimage
      	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
 		rgbGen identity
	}
}

textures/wvwq3dm6/shinyrock03
{   
	qer_editorimage textures/wvwq3dm6/shinyrock3.tga
	{
      	map textures/wvwq3dm6/envmap2.tga       
      	tcGen environment
      	rgbGen identity
	}
   
     	{
 		map textures/wvwq3dm6/shinyrock3.tga
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 		rgbGen identity
	} 

     	{
		map $lightmap
      	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
 		rgbGen identity
	}
}

textures/wvwq3dm6/brushmetal_bounce
{
	qer_editorimage textures/wvwq3dm6/brushmetal_bounce.tga
	q3map_lightimage textures/wvwq3dm6/wvw_jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/wvwq3dm6/brushmetal_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wvwq3dm6/wvw_bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/wvwq3dm6/wvw_jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/wvwq3dm6/brushlight
{
	q3map_surfacelight 2000
	qer_editorimage textures/wvwq3dm6/brushlight.tga

	surfaceparm nonsolid
	
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/wvwq3dm6/brushlight.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
		rgbGen identity
	}
	
	{
		map textures/wvwq3dm6/brushlight.glow.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/wvwq3dm6/wvw_mercury
{
	qer_editorimage textures/wvwq3dm6/wvw_mercury.tga
	q3map_lightimage textures/wvwq3dm6/wvw_mercury.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 750
	{
		map textures/wvwq3dm6/wvw_mercury.tga
		blendfunc add
		tcMod rotate 10
		tcMod turb 0.5 0.25 0 0.15
		tcMod scale 0.3 0.3
		tcMod scroll 0.1 0.1
	}
}

textures/wvwq3dm6/whitesky
{
	qer_editorimage textures/wvwq3dm6/bluesky2.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	//q3map_sun 1 1 1 50 45 60


	skyparms half 512 -
	{
		map textures/wvwq3dm6/bluesky1.tga
		tcMod scroll 0.05 0.05
		tcMod scale 6 4
		depthWrite
	}
	{
		map textures/wvwq3dm6/bluesky2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.025 0.025
		tcMod scale 6 6
	}

}

textures/wvwq3dm6/starrysky
{
q3map_lightimage textures/wvwq3dm6/wvw_mercury.tga
qer_editorimage textures/wvwq3dm6/sp02_ft.tga
surfaceparm noimpact
surfaceparm nomarks
surfaceparm nolightmap
surfaceparm sky
q3map_surfacelight 750
skyparms textures/wvwq3dm6/sp02 - -
}

textures/wvwq3dm6/spogwlt1
{
	qer_editorimage textures/effects/tinfxb.tga
	qer_trans 0.50
	q3map_surfacelight 20000
	surfaceparm nonsolid
	surfaceparm	trans
	{
		map textures/wvwq3dm6/tinfxb.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/wvwq3dm6/spogwlt3
{
	deformVertexes autoSprite

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/wvwq3dm6/spogwlt3.tga
		blendFunc GL_ONE GL_ONE
	}	
	
}

textures/wvwq3dm6/spogwlt_metal
{
	qer_editorimage textures/wvwq3dm6/spogwlt_metal.tga
	surfaceparm nonsolid

	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/wvwq3dm6/spogwlt_metal.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}
}

textures/wvwq3dm6/lava_500
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/wvwq3dm6/fog_wvw6
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .733 .737 .620 ) 600

}

textures/wvwq3dm6/blackmetal_ns
{
	qer_editorimage textures/wvwq3dm6/blackmetal.tga
	surfaceparm nonsolid
	
	{
		map $lightmap
		rgbgen identity
	}	

	{
		map textures/wvwq3dm6/blackmetal.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity   
	}
		
}